
[ppc64] Fix a compile error and a warning in the iSeries code, from Stephen Rothwell


---

 arch/ppc64/kernel/iSeries_pci.c   |    2 +-
 arch/ppc64/kernel/iSeries_setup.c |    1 +
 arch/ppc64/kernel/pci.c           |    2 ++
 3 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/iSeries_pci.c~ppc64-iseries_fixes arch/ppc64/kernel/iSeries_pci.c
--- 25/arch/ppc64/kernel/iSeries_pci.c~ppc64-iseries_fixes	2004-01-13 23:23:10.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/iSeries_pci.c	2004-01-13 23:23:10.000000000 -0800
@@ -409,7 +409,7 @@ static int iSeries_Scan_Bridge_Slot(HvBu
 	iSeries_assign_IRQ(Irq, Bus, 0, EADsIdSel);
 	PPCDBG(PPCDBG_BUSWALK,
 		"PCI:- allocate and assign IRQ 0x%02X.%02X.%02X = 0x%02X\n",
-		Bus, 0, AgentId, Irq);
+		Bus, 0, EADsIdSel, Irq);
 
 	/*
 	 * Connect all functions of any device found.  
diff -puN arch/ppc64/kernel/iSeries_setup.c~ppc64-iseries_fixes arch/ppc64/kernel/iSeries_setup.c
--- 25/arch/ppc64/kernel/iSeries_setup.c~ppc64-iseries_fixes	2004-01-13 23:23:10.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/iSeries_setup.c	2004-01-13 23:23:10.000000000 -0800
@@ -58,6 +58,7 @@
 extern void abort(void);
 extern void ppcdbg_initialize(void);
 extern void iSeries_pcibios_init(void);
+extern void tce_init_iSeries(void);
 
 static void build_iSeries_Memory_Map(void);
 static void setup_iSeries_cache_sizes(void);
diff -puN arch/ppc64/kernel/pci.c~ppc64-iseries_fixes arch/ppc64/kernel/pci.c
--- 25/arch/ppc64/kernel/pci.c~ppc64-iseries_fixes	2004-01-13 23:23:10.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/pci.c	2004-01-13 23:23:10.000000000 -0800
@@ -289,6 +289,7 @@ static void __init pcibios_claim_one_bus
 		pcibios_claim_one_bus(child_bus);
 }
 
+#ifndef CONFIG_PPC_ISERIES
 static void __init pcibios_claim_of_setup(void)
 {
 	struct list_head *lb;
@@ -298,6 +299,7 @@ static void __init pcibios_claim_of_setu
 		pcibios_claim_one_bus(b);
 	}
 }
+#endif
 
 static int __init pcibios_init(void)
 {

_
